https://bugs.gentoo.org/812047

From 0cea7f0f78f1a9e8dca789eb5f2ece052e026bed Mon Sep 17 00:00:00 2001
From: Christopher Byrne <salah.coronya@gmail.com>
Date: Tue, 7 Sep 2021 20:22:27 -0500
Subject: [PATCH] configure.ac: Fix automagic depency on libefivar

Signed-off-by: Christopher Byrne <salah.coronya@gmail.com>
---
 configure.ac | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index f1c17116..bdb4abda 100644
--- a/configure.ac
+++ b/configure.ac
@@ -62,8 +62,12 @@ PKG_CHECK_MODULES([CRYPTO], [libcrypto >= 1.1.0])
 PKG_CHECK_MODULES([CURL], [libcurl])
 
 # pretty print of devicepath if efivar library is present
-PKG_CHECK_MODULES([EFIVAR], [efivar],,[true])
-AC_CHECK_HEADERS([efivar/efivar.h])
+AC_ARG_WITH([efivar], AS_HELP_STRING([--without-efivar], [Build without efivar library (default: test)]))
+
+AS_IF([test "x$with_efivar" != "xno"], [
+	PKG_CHECK_MODULES([EFIVAR], [efivar])
+	AC_CHECK_HEADERS([efivar/efivar.h])
+])
 
 # backwards compat with older pkg-config
 # - pull in AC_DEFUN from pkg.m4
-- 
2.32.0

